h00890
s 00084/00000/00000
d D 1.1 83/03/23 16:15:00 bog 1 0
c date and time created 83/03/23 16:15:00 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmAlGr (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL]	    #
#									    #
#	Called By:							    #
#		Subroutine EmPoll ()					    #
#		    4012/4014 Emulator Main Polling Loop		    #
#									    #
#		Subroutine EmEscN (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL]	    #
#		    Emulate LCE with non-control character		    #
#									    #
#	Routines Called:						    #
#		Subroutine EmAlph (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL])	    #
#		    Put up an alpha character				    #
#									    #
#		Subroutine EmGrph (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL])	    #
#		    Graph, Point Plot and Special Point Plot modes	    #
#									    #
#		Subroutine EmIncr (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL]	    #
#		    Emulate Incremental Point Plot mode			    #
#									    #
#############################################################################
 
Subroutine EmAlGr(Ch)
CHARACTER Ch
 
BEGINCOMMON
COMMON(BEAMSTATE)
ENDCOMMON
 
#Switch (Mode) {
{Goto (1001,1002,1999,1004,1005,1006),Mode
#   Case ALPHA: {
    1001 {
	If (NOT(Bypass)) {
	    Call EmAlph(Ch)
	    }
	}
	Goto 1999
#   Case GRAPH: {
    1002 {
	Call EmGrph(Ch)
	}
	Goto 1999
#   Case POINTPLOT: {
    1004 {
	Call EmGrph(Ch)
	}
	Goto 1999
#   Case SPECIALPOINT: {
    1005 {
	If (NOT(GotInt)) {
	    GotInt = TRUE
	    Intens = Ch
	    }
	Else {
	    Call EmGrph(Ch)
	    }
	}
	Goto 1999
#   Case INCREMENTAL: {
    1006 {
	Call EmIncr(Ch)
	}
    1999 Continue
    }
Return
End
E 1
